import testtools
from neutron_lbaas.db.loadbalancer import models
from neutron_lbaas.services.loadbalancer import constants as lb_const
from neutron_lbaas.tests import base

LB_ID = '099f29cd-4727-46a4-ae34-d9e05f3677dc'

class LbaasLoadBalancerModelTests(base.NeutronDbPluginV2TestCase):
    def test_loadbalancerstatistics_good(self):
        data = {}
        stats_db = models.LoadBalancerStatistics(
            loadbalancer_id=LB_ID,
            bytes_in='0',
            bytes_out='1',
            active_connections='2',
            total_connections='3'
        )
        self.assertEqual(LB_ID, stats_db.loadbalancer_id)
        self.assertEqual('0', stats_db.bytes_in)
        self.assertEqual('1', stats_db.bytes_out)
        self.assertEqual('2', stats_db.active_connections)
        self.assertEqual('3', stats_db.total_connections)

    def test_loadbalancerstatistics_bad(self):
        params = {
            'loadbalancer_id': LB_ID,
            'bytes_in': '-1',
            'bytes_out': '0',
            'active_connections': '0',
            'total_connections': '0'
        }
        self.assertRaises(ValueError,
            models.LoadBalancerStatistics,
            **params)
